
# A button with «padding»
buttonA = new TextLayer
	parent: whiteBackground
	text: "Tap me"
	fontSize: 20
	color: "#fff"
	fontWeight: 600
	textAlign: Align.center
	backgroundColor: "#0AF"
	borderRadius: 100
	
	padding:
		horizontal: 41.5
		vertical: 15


# A button with fixed «width»
# and «lineHeight» for vertical spacing 
buttonB = new TextLayer
	parent: whiteBackground
	text: "No, me!"
	fontSize: 20
	color: "#fff"
	fontWeight: 600
	textAlign: Align.center
	backgroundColor: "#0AF"
	borderRadius: 100
	
	width: 150			# fixed width
	lineHeight: 2.75 	# more vertical spacing


# A button with fixed «width» and «height»
buttonC = new TextLayer
	parent: whiteBackground
	text: "No, tap me!"
	fontSize: 20
	color: "#fff"
	fontWeight: 600
	textAlign: Align.center
	backgroundColor: "#0AF"
	borderRadius: 100
	
	width: 150			# fixed width
	height: 55			# & fixed height
	lineHeight: 2.75 	# lowering the baseline



# Arrange the buttons (horizontally or vertically)
if Screen.height > Screen.width		# portrait
	buttonA.x = Align.center
	buttonA.y = Align.center -160
	
	buttonB.point = Align.center
	
	buttonC.x = Align.center
	buttonC.y = Align.center 160
else								# landscape
	buttonA.x = Align.center -180
	buttonA.y = Align.center
	
	buttonB.point = Align.center
	
	buttonC.x = Align.center 180
	buttonC.y = Align.center

# Events for all the buttons
Framer.Defaults.Animation =	time: 0.3

# First two buttons
for button in [buttonA, buttonB]
	# On Hover
	button.onMouseOver ->
		@animate 
			backgroundColor: "#2CF"
	
	# On Tap start
	button.onTapStart ->
		@animate 
			backgroundColor: "#05F"
	
	# No Hover
	button.onMouseOut ->
		@animate 
			backgroundColor: "#0AF"
	
	# On Tap (end)
	button.onTap ->
		@animate 
			backgroundColor: "#0AF"


# Third button
buttonC.onMouseOver ->
	@gradient =
		start: "#00FF6F"
		end: "#0AF"
	@animate
		gradient:
			angle: 360
		options:
			looping: yes
			curve: Bezier.linear
			time: 0.2

buttonC.onTapStart ->
	# Stop gradient animation
	buttonC.animateStop()
	# Clear out gradient
	buttonC.gradient =
		start: "rgba(255, 255, 255, 0)"
		end: "rgba(255, 255, 255, 0)"
	@animate 
		backgroundColor: "#05F"

buttonC.onMouseOut ->
	# Stop gradient animation
	buttonC.animateStop()
	# Clear out gradient
	buttonC.gradient =
		start: "rgba(255, 255, 255, 0)"
		end: "rgba(255, 255, 255, 0)"
	@animate 
		backgroundColor: "#0AF"

buttonC.onTap ->
	@animate 
		backgroundColor: "#0AF"

